#@TYPE: Machine
#@NAME: DM6446 cpu on a Davinci EVM board
#@DESCRIPTION: Machine configuration for the TI Davinci EVM board

TARGET_ARCH = "arm"
PACKAGE_EXTRA_ARCHS = "armv4t armv5te"

HOTPLUG = "udev"

PREFERRED_PROVIDER_xserver = "xserver-kdrive"
PREFERRED_PROVIDER_virtual/kernel = "linux-davinci"
PREFERRED_PROVIDERS += "virtual/${TARGET_PREFIX}depmod:module-init-tools-cross"

PREFERRED_VERSION_u-boot = "1.3.2"
UBOOT_MACHINE = "davinci_dvevm_config"
UBOOT_ENTRYPOINT="0x80008000"

SERIAL_CONSOLE ?= "115200 ttyS0"
EXTRA_IMAGECMD_jffs2 = "--pad --little-endian --eraseblock=0x20000 -n"

#ROOT_FLASH_SIZE = "29"

MACHINE_FEATURES = "kernel26 pcmcia usbhost alsa"

require conf/machine/include/tune-arm926ejs.inc

